Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Interface Field

All Superinterfaces:
  Variable

    public interface Field

extends Variable

Represents one field. This interface is extended by `ObjectVariable` interface, if the represented field contains not primitive value (object value).

     Since JDI interfaces evolve from one version to another, it's strongly recommended
     not to implement this interface in client code. New methods can be added to
     this interface at any time to keep up with the JDI functionality.

See Also:
  `ObjectVariable`

Method Summary
`String` | `getClassName()` Returns name of enclosing class.
`String` | `getDeclaredType()` Declared type of this field.
`String` | `getName()` Declared name of field.
`boolean` | `isStatic()` Returns `true` for static fields.
`void` | `setValue(String value)` Sets value of this field represented as text.

Methods inherited from interface org.netbeans.api.debugger.jpda.Variable
`getType, getValue`

Method Detail

### getName

    String getName()

  Declared name of field.

  Returns:
    name of this field.

### getClassName

    String getClassName()

  Returns name of enclosing class.

  Returns:
    name of enclosing class

### getDeclaredType

    String getDeclaredType()

  Declared type of this field.

  Returns:
    declared type of this field

### isStatic

    boolean isStatic()

  Returns `true` for static fields.

  Returns:
    `true` for static fields

### setValue

    void setValue(String value)
                  throws InvalidExpressionException

  Sets value of this field represented as text.

  Throws:
    `InvalidExpressionException` - if the expression is not correct

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.